#!/bin/sh

SVNPATH="file:///home/scara/svnrepos/trunk/firestorm"
ROOT="/home/scara/snapshot"
DIR="firestorm-snapshot"
TAG="HEAD"

## export from CVS and cd into root
mkdir -p $ROOT
svn export $SVNPATH $ROOT/$DIR
pushd $ROOT/$DIR

## Setup the source code
./autogen.sh --help

## Make the source tarball
cd ..
tar -zcf $DIR.tar.gz $DIR && echo "Snapshot OK"

rm -rf $DIR
popd
